Bug 912675 - Package BitlBee 3.2 (current package will break with Twitter on 2013-03-05 due to new API)
Summary: Package BitlBee 3.2 (current package will break with Twitter on 2013-03-05 du...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bitlbee
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-19 11:42 UTC by Eike Hein
Modified: 2018-04-11 11:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-02 19:59:59 UTC
Type: Bug


Attachments (Terms of Use)
.spec patch (17.71 KB, patch)
2013-02-19 13:19 UTC, Rex Dieter
no flags Details | Diff

Description Eike Hein 2013-02-19 11:42:46 UTC
Please package the BitlBee 3.2 release for rawhide/F19 and please consider an F18 upgrade as well. BitlBee 3.2 adds support for the new JSON-based Twitter API 1.1 which Twitter will require to connect to their service starting on March 5th 2013, i.e. Twitter support will break in Fedora 18's BitlBee on that date.

3.2 also adds highly desirable new features like direct message support on Twitter.

Comment 1 Rex Dieter 2013-02-19 13:19:36 UTC
Created attachment 699453 [details]
.spec patch

update looks simple enough packaging-wise, get to drop a few upstreamed patches (always good).

Comment 2 Robert Scheck 2013-02-20 01:37:15 UTC
Rex, in theory that's right. But when looking deeper, this is not correct.
However, thank you very much for the patch...I merged some of the hunks that
were needed.

Additionally, upstream decided to require glib2 >= 2.14, which would exclude
EPEL 5 completely. Technically they only need this more recent glib2 version
due to their programming lazyness (sorry!) and the wish to use regexps for
URL length detection for the Twitter stuff. As the current used Twitter API
is anyway going to break soon, I decided to drop Twitter support for EPEL 5,
till either upstream can be couraged to re-implement that code (which is not
likely as from what I got told on the IRC) or if somebody else provides a
nice portable piece of code. Again, affects only EPEL 5 - no other branch!

Comment 3 Fedora Update System 2013-02-20 01:38:05 UTC
bitlbee-3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bitlbee-3.2-1.fc18

Comment 4 Fedora Update System 2013-02-20 01:41:26 UTC
bitlbee-3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bitlbee-3.2-1.fc17

Comment 5 Fedora Update System 2013-02-20 01:42:28 UTC
bitlbee-3.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bitlbee-3.2-1.el6

Comment 6 Fedora Update System 2013-02-20 01:43:51 UTC
bitlbee-3.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bitlbee-3.2-1.el5

Comment 7 Eike Hein 2013-02-20 08:22:02 UTC
Thanks to both of you!

Comment 8 Fedora Update System 2013-02-20 17:32:47 UTC
Package bitlbee-3.2-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bitlbee-3.2-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0400/bitlbee-3.2-1.el5
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-03-02 20:00:00 UTC
bitlbee-3.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-03-02 20:03:41 UTC
bitlbee-3.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-03-09 19:12:28 UTC
bitlbee-3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-03-09 19:17:44 UTC
bitlbee-3.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.